#!/bin/sh
#
# Generate version.h.

if [ -f ../inc/version.h ] ; then
BUILD=`fgrep '#define BUILD' ../inc/version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
BUILD=`expr $BUILD + 1`
else
	BUILD=1
fi

cat >../inc/version.h <<EOF
/* Version information

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

#define BUILD "$BUILD"

const char version[] = "$1";
const char build[] = "$BUILD";
const char compile_time[] = "`date | \
awk '{if (NF == 6) \
	 { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
	 { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`";

const char *infotext[] =
{
    "OperStats --",
    "Copyright (c) 2000-2001 Darcy Grexton <cygnus@uniserve.ca>",
    " ",
    "This program is free software, you can redistribute it and/or",
    "modify it under the terms of the GNU General Public License as",
    "published by the Free Software Foundation; either version 1, or",
    "(at your option) any later version.",
    " ",
    "This program contains bits and pieces of code from several other",
    "programs, most notably Andy Church (now under the care of",
    "Andrew Kempe)'s IRC Services package. It wouldn't be fair to take",
    "credit for this entire program without acknowledging that alot of",
    "the basic code that makes this program possible came from that",
    "program. - skold",
    " ",
    0,
};

#ifdef DUMPCHANS

/* Edit this at your own risk. Be careful about using "s, as they will screw
   up the code. You can use 's in place of them in most (if not all) places,
   or use a \ in front of them, like \".
 */
const char *chanhtml_header[] =
{
    "<HTML><TITLE>Channels Listing</TITLE>",
    "<BODY BGCOLOR=\"#62799B\" TEXT=\"White\" LINK=\"White\" ALINK=\"White\" VLINK=\"White\"><BR>",
    0,
};

const char *chanhtml_prechanlist[] =
{
    "<BR><BR><CENTER>",
    "<DIV STYLE=\"width:600;height:200;filter:shadow(color=#4F5B6C,direction=45)\">",
    "<TABLE BORDER=\"0\" CELLPADDING=\"2\" CELLSPACING=\"2\" WIDTH=\"780\"><TR>",
    "<TD COLSPAN=\"3\"><P ALIGN=\"JUSTIFY\"><FONT FACE=\"Verdana\" SIZE=\"2\">",
    0,
};

const char *chanhtml_chanlist[] =
{
    "</FONT></P></TD></TR><TR>",
    "<TD WIDTH=250 BGCOLOR=\"#5A6B8C\"><FONT FACE=\"Verdana\" SIZE=\"2\"><B>&nbsp;Channel</B></FONT></TD>",
    "<TD WIDTH=50 BGCOLOR=\"#5A6B8C\"><FONT FACE=\"Verdana\" SIZE=\"2\"><B>&nbsp;Users</B></FONT></TD>",
    "<TD WIDTH=485 BGCOLOR=\"#5A6B8C\"><FONT FACE=\"Verdana\" SIZE=\"2\"><B>&nbsp;Topic</B></FONT></TD>",
    "</TR><TD><FONT FACE=\"Lucida Console\" SIZE=\"2\"><BR>",
    0,
};

const char *chanhtml_preusercount[] =
{
    "</FONT></TD>",
    "<TD><FONT FACE=\"Lucida Console\" SIZE=2><BR>",
    0,
};

const char *chanhtml_pretopics[] =
{
    "</FONT></TD>",
    "<TD><FONT FACE=\"Lucida Console\" SIZE=2><BR>",
    0,
};

const char *chanhtml_endoflist[] =
{
    "</FONT></TD></TR><TR><TD COLSPAN=\"3\"><FONT FACE=\"Verdana\" SIZE=\"2\"><BR>",
    0,
};

const char *chanhtml_footer[] =
{
    "</FONT></TD></P></FONT></TD></TR></TABLE></CENTER></DIV></BODY></HTML>",
    0,
};
#endif /* DUMPCHANS */

#ifdef JAVACLIENT

/* Edit this to reflect the code for your java client. */
const char *chanhtml_applet[] =
{
    "<SCRIPT LANGUAGE='JavaScript'>",
    "function openChat(channelname) {",
    "document.write('<HTML><TITLE>HabberNet Java Chat</TITLE>');",
    "document.write('<BODY BGCOLOR=\"#62799B\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\" TOPMARGIN=\"0\" LEFTMARGIN=\"0\">');",
    "document.write('<TABLE BORDER=\"0\" WIDTH=\"100%\" HEIGHT=\"100%\"><TR><TD ALIGN=\"CENTER\" VALIGN=\"CENTER\">');",
    "document.write('<APPLET CODE=\"EIRC\" ARCHIVE=\"EIRC.jar,habber.jar\" CODEBASE=\"http://www.habber.net/chat/\" WIDTH=\"600\" HEIGHT=\"400\">');",
    "document.write('<PARAM NAME=\"server\" VALUE=\"voltron.habber.net\"><PARAM NAME=\"port\" VALUE=\"6667\"><PARAM NAME=\"mainbg\" VALUE=\"#C0C0C0\">');",
    "document.write('<PARAM NAME=\"mainfg\" VALUE=\"#000000\"><PARAM NAME=\"textbg\" VALUE=\"#FFFFFF\"><PARAM NAME=\"textfg\" VALUE=\"#000000\">');",
    "document.write('<PARAM NAME=\"username\" VALUE=\"java\"><PARAM NAME=\"channel\" VALUE=\"'+channelname+'\">');",
    "document.write('<PARAM NAME=\"realname\" VALUE=\"HabberNet JavaChat - http://www.habber.net/chat\">');",
    "document.write('<PARAM NAME=\"password\" value=\"\"><PARAM NAME=\"nickname\" value=\"Guest?????\"><PARAM NAME=\"login\" value=\"1\">');",
    "document.write('<PARAM NAME=\"servPassword\" value=\"\"><PARAM NAME=\"servEmail\" value=\"\"></APPLET>');",
    "document.write('<BR><BR><FONT FACE=\"Verdana\" COLOR=\"White\" SIZE=\"2\"><A HREF=\"channels.html\">[Back to Channels List]</A></FONT></TD></TR></TABLE></BODY></HTML>');",
    "}",    
    "</SCRIPT>",
    0,
};
#endif /* JAVACLIENT */
EOF
